Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/41562/?format=api
{ "ob_id": 41562, "uuid": "7847f898d59e46f28d483791953ff244", "title": "Met Office Camborne High Resolution Radiosonde Data v2", "abstract": "Met Office high resolution (2 second) radiosonde data from the Met Office field site near Camborne, Cornwall from 1990 to present. The data consist of vertical profiles of pressure, temperature, relative humidity, humidity mixing ratio, sonde position, wind speed and wind direction. Measurements are taken at 2 second intervals and the ascents extend to heights of approximately 20-30 km.", "keywords": "Met Office, radiosonde", "publicationState": "working", "dataPublishedTime": null, "doiPublishedTime": null, "updateFrequency": "asNeeded", "status": "ongoing", "result_field": null, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/3539/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/642/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data are collected by the stations carrying out the radiosonde ascents and then transmitted back to the Met Office headquarters in Exeter. The ascent files are then delivered to the BADC for ingesting into the archive approximately 1 month in arrears.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/13005/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/6722/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/202578/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/202584/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/202579/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/202580/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/202581/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/202582/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/202583/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/202585/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/13037/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [], "discoveryKeywords": [] }